Page MenuHomePhabricator

[OpenMP] Add function attribute for triggering shared memory lowering in the LLVM backend
ClosedPublic

Authored by gtbercea on Nov 24 2017, 3:58 PM.

Details

Summary

Since OpenMP and CUDA share the same toolchain we need to disable:

  • the lowering of variables to shared memory in the LLVM NVPTX backend
  • the emission of the shared depot
  • the emission of shared stack pointers

when compiling:

  • CUDA programs
  • OpenMP programs that do not require data sharing.

Diff Detail

Repository
rL LLVM

Event Timeline

gtbercea created this revision.Nov 24 2017, 3:58 PM
gtbercea updated this revision to Diff 124246.Nov 24 2017, 4:01 PM
hfinkel accepted this revision.Dec 14 2017, 3:52 PM

LGTM

lib/CodeGen/CGOpenMPRuntimeNVPTX.cpp
937

somehting -> something, add a period at the end of the comment.

This revision is now accepted and ready to land.Dec 14 2017, 3:52 PM
gtbercea closed this revision.Dec 21 2017, 5:09 AM

Committed here D41123